> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Checkout

> Initiate a purchase (creates Stripe Checkout session).



## OpenAPI

````yaml /openapi.json post /v1/checkout
openapi: 3.1.0
info:
  title: AgentPowers API
  description: Paid marketplace for Claude Code skills and agents
  version: 0.1.0
servers:
  - url: https://api.agentpowers.ai
    description: Production
security: []
paths:
  /v1/checkout:
    post:
      tags:
        - checkout
      summary: Create Checkout
      description: Initiate a purchase (creates Stripe Checkout session).
      operationId: create_checkout_v1_checkout_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PurchaseRequest'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PurchaseResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    PurchaseRequest:
      properties:
        skill_slug:
          type: string
          maxLength: 60
          minLength: 3
          title: Skill Slug
        success_url:
          type: string
          maxLength: 500
          title: Success Url
          default: https://agentpowers.ai/purchase/success
        cancel_url:
          type: string
          maxLength: 500
          title: Cancel Url
          default: https://agentpowers.ai/purchase/cancel
      type: object
      required:
        - skill_slug
      title: PurchaseRequest
    PurchaseResponse:
      properties:
        purchase_id:
          type: string
          title: Purchase Id
        checkout_url:
          type: string
          title: Checkout Url
        status:
          type: string
          title: Status
      type: object
      required:
        - purchase_id
        - checkout_url
        - status
      title: PurchaseResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Provide a Clerk JWT or a long-lived CLI token (prefix `ap_cli_`).  Pass
        as `Authorization: Bearer <token>`.

````